[Swift-commit] r3742 - trunk/tests/cdm
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Mon Dec 6 15:53:10 CST 2010
Author: wozniak
Date: 2010-12-06 15:53:10 -0600 (Mon, 06 Dec 2010)
New Revision: 3742
Added:
trunk/tests/cdm/601-local.check.sh
trunk/tests/cdm/601-local.clean.sh
trunk/tests/cdm/601-local.setup.sh
trunk/tests/cdm/601-local.swift
Modified:
trunk/tests/cdm/README.txt
trunk/tests/cdm/fs.template.data
Log:
Add new CDM LOCAL test (cp)
Added: trunk/tests/cdm/601-local.check.sh
===================================================================
--- trunk/tests/cdm/601-local.check.sh (rev 0)
+++ trunk/tests/cdm/601-local.check.sh 2010-12-06 21:53:10 UTC (rev 3742)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -x
+
+grep $( uname -m ) 601/601-input.txt || exit 1
+grep $( uname -m ) 601-output.txt || exit 1
+
+exit 0
Property changes on: trunk/tests/cdm/601-local.check.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/601-local.clean.sh
===================================================================
--- trunk/tests/cdm/601-local.clean.sh (rev 0)
+++ trunk/tests/cdm/601-local.clean.sh 2010-12-06 21:53:10 UTC (rev 3742)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -rv 601-output.txt 601
+
+exit 0
Property changes on: trunk/tests/cdm/601-local.clean.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/601-local.setup.sh
===================================================================
--- trunk/tests/cdm/601-local.setup.sh (rev 0)
+++ trunk/tests/cdm/601-local.setup.sh 2010-12-06 21:53:10 UTC (rev 3742)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -x
+
+mkdir -pv 601 || exit 1
+
+{
+ uname -a
+ date
+} > 601/601-input.txt
+
+exit 0
Property changes on: trunk/tests/cdm/601-local.setup.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/tests/cdm/601-local.swift
===================================================================
--- trunk/tests/cdm/601-local.swift (rev 0)
+++ trunk/tests/cdm/601-local.swift 2010-12-06 21:53:10 UTC (rev 3742)
@@ -0,0 +1,14 @@
+
+type file;
+
+app (file o) copy (file i)
+{
+ cp @i @o;
+}
+
+// Will be transformed by CDM to 601/601-input.txt:
+file f1<"601-input.txt">;
+
+file f2<"601-output.txt">;
+
+f2 = copy(f1);
Modified: trunk/tests/cdm/README.txt
===================================================================
--- trunk/tests/cdm/README.txt 2010-12-06 21:52:17 UTC (rev 3741)
+++ trunk/tests/cdm/README.txt 2010-12-06 21:53:10 UTC (rev 3742)
@@ -4,3 +4,4 @@
300 series : BROADCAST tests
400 series : EXTERNAL tests
500 series : GATHER tests
+600 series : LOCAL tests
Modified: trunk/tests/cdm/fs.template.data
===================================================================
--- trunk/tests/cdm/fs.template.data 2010-12-06 21:52:17 UTC (rev 3741)
+++ trunk/tests/cdm/fs.template.data 2010-12-06 21:53:10 UTC (rev 3742)
@@ -7,3 +7,4 @@
rule .*210-input.txt EXTERNAL _PWD_/external.sh
rule .*301-input.txt BROADCAST _PWD_/301
rule .*501-output.*.txt GATHER
+rule .*601-input.*.txt LOCAL cp _PWD_/601
More information about the Swift-commit
mailing list